System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.ICollection

You can access any of the properties and methods of the class through the property. Since the class is the base class for all ASP.NET server controls, all server controls inherit this property.

For more information about collections, see Collections and Data Structures.

Provides a collection container that enables ASP.NET server controls to maintain a list of their child controls.

- Constructor
  To be added

  Initializes a new instance of the class for the specified parent server control.

  The ASP.NET server control that the control collection is created for.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The new control is added to the end of an ordinal index array. The control can be an instance of any ASP.NET server control, a custom server control you create, or a literal control.

  To add a control to the collection at a specific index location, use the method.

  Adds the specified object to the collection.

  The to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The added control can be an instance of any ASP.NET server control, a custom server control you create, or a literal control.

  Adds the specified object to the collection at the specified index location.

  The location in the array at which to add the child control. The to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  Use this method to empty a custom control's when you override the and methods. Do this when you develop composite, templated controls or templated data-bound controls.

  Removes all controls from the current server control's object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Determines whether the specified server control is in the parent server control's object.

  true if the specified server control exists in the collection; otherwise, false.

  The server control to search for in the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Copies the child controls stored in the object to an object, beginning at the specified index location in the .

  The to copy the child controls to. The zero-based relative index in where copying begins. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of server controls in the object for the specified ASP.NET server control.

  1.0.5000.0
  2.0.0.0
- Method
  System.Collections.IEnumerator To be added

  Retrieves an enumerator that can iterate through the object.

  The enumerator to iterate through the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` a

  Use this method to determine the index location of the specified server control in the object.

  Retrieves the index of a specified object in the collection.

  The index of the specified server control. If the server control is not currently a member of the collection, it returns -1.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the object is read-only.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the object is synchronized.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.UI.Control `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Web.UI.Control To be added: an object of type 'Control' To be added

  Gets the ASP.NET server control to which the object belongs.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  To remove a control from an index location, use the method.

  Removes the specified server control from the parent server control's object.

  The server control to be removed. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  To remove a control from the collection based on its value, use the method.

  Removes a child control, at the specified index location, from the object.

  The ordinal index of the server control to be removed from the collection. 1.0.5000.0 2.0.0.0
- Property
  System.Object To be added: an object of type 'object' To be added

  Gets an object that can be used to synchronize access to the collection of controls.

  1.0.5000.0
  2.0.0.0